{% extends "base.html.jinja" %}

{% block content %}
  <main class="container">
    <div class="m-auto py-5" style="max-width: 500px">
      <legend class="text-center">Legende für FIM JSON Datenpakete</legend>

      <p>
        JSON Schema konforme Datenpakete nutzen aktuell die FIM ID als
        Attributnamen in JSON Datenpaketen, was eine Interpretation der Daten
        z.B. in Fehlermeldungen schwierig macht. Dieses Tool erstellt für ein
        solches JSON Datenpaket (nicht ein JSON Schema, sondern die
        tatsächlichen Daten) eine Auflistung aller enthaltenen Datenfeldgruppen
        und Datenfelder mit menschenlesbaren Titeln und Beschreibungen.
      </p>

      <form
        action="./fim-json-legend/result"
        method="POST"
        enctype="multipart/form-data"
        class="m-auto"
        style="max-width: 500px"
      >
        <div class="mb-3">
          <label for="schema">JSON Datei auswählen:</label>

          <input
            class="form-control"
            name="data"
            type="file"
            accept="application/json"
            required
          />
        </div>

        <button class="btn btn-primary w-100 py-2 mt-3" type="submit">
          Legende erstellen
        </button>
      </form>
    </div>
  </main>
{% endblock %}
